Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1558242 - [abrt] python3-nbconvert: get(): execute.py:191:_km_default:ImportError: `nbconvert --execute` requires the jupyter_client package: `pip install jupyter_client`
Summary: [abrt] python3-nbconvert: get(): execute.py:191:_km_default:ImportError: `nbc...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nbconvert
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:92d6c20f785b1ac87639d50e728...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-19 21:21 UTC by Jan Vesely
Modified: 2018-11-30 20:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:41:50 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (3.74 KB, text/plain)
2018-03-19 21:21 UTC, Jan Vesely
no flags Details
File: cgroup (355 bytes, text/plain)
2018-03-19 21:21 UTC, Jan Vesely
no flags Details
File: cpuinfo (1.17 KB, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: environ (3.63 KB, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: namespaces (129 bytes, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details
File: open_fds (251 bytes, text/plain)
2018-03-19 21:22 UTC, Jan Vesely
no flags Details

Description Jan Vesely 2018-03-19 21:21:54 UTC
Version-Release number of selected component:
python3-nbconvert-5.3.1-3.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/jupyter-nbconvert --log-level WARN --to notebook --execute --ExecutePreprocessor.timeout=300 --stdout '/home/vesely/PsyNeuLink/tutorial/PsyNeuLink Tutorial.ipynb'
crash_function: get
exception_type: KeyError
executable:     /usr/bin/jupyter-nbconvert
kernel:         4.15.8-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
execute.py:191:_km_default:ImportError: `nbconvert --execute` requires the jupyter_client package: `pip install jupyter_client`

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/traitlets/traitlets.py", line 528, in get
    value = obj._trait_values[self.name]
KeyError: 'kernel_manager_class'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/nbconvert/preprocessors/execute.py", line 189, in _km_default
    from jupyter_client import KernelManager
ModuleNotFoundError: No module named 'jupyter_client'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/jupyter-nbconvert", line 11, in <module>
    load_entry_point('nbconvert==5.3.1', 'console_scripts', 'jupyter-nbconvert')()
  File "/usr/lib/python3.6/site-packages/jupyter_core/application.py", line 267, in launch_instance
    return super(JupyterApp, cls).launch_instance(argv=argv, **kwargs)
  File "/usr/lib/python3.6/site-packages/traitlets/config/application.py", line 658, in launch_instance
    app.start()
  File "/usr/lib/python3.6/site-packages/nbconvert/nbconvertapp.py", line 325, in start
    self.convert_notebooks()
  File "/usr/lib/python3.6/site-packages/nbconvert/nbconvertapp.py", line 493, in convert_notebooks
    self.convert_single_notebook(notebook_filename)
  File "/usr/lib/python3.6/site-packages/nbconvert/nbconvertapp.py", line 464, in convert_single_notebook
    output, resources = self.export_single_notebook(notebook_filename, resources, input_buffer=input_buffer)
  File "/usr/lib/python3.6/site-packages/nbconvert/nbconvertapp.py", line 393, in export_single_notebook
    output, resources = self.exporter.from_filename(notebook_filename, resources=resources)
  File "/usr/lib/python3.6/site-packages/nbconvert/exporters/exporter.py", line 174, in from_filename
    return self.from_file(f, resources=resources, **kw)
  File "/usr/lib/python3.6/site-packages/nbconvert/exporters/exporter.py", line 192, in from_file
    return self.from_notebook_node(nbformat.read(file_stream, as_version=4), resources=resources, **kw)
  File "/usr/lib/python3.6/site-packages/nbconvert/exporters/notebook.py", line 31, in from_notebook_node
    nb_copy, resources = super(NotebookExporter, self).from_notebook_node(nb, resources, **kw)
  File "/usr/lib/python3.6/site-packages/nbconvert/exporters/exporter.py", line 134, in from_notebook_node
    nb_copy, resources = self._preprocess(nb_copy, resources)
  File "/usr/lib/python3.6/site-packages/nbconvert/exporters/exporter.py", line 311, in _preprocess
    nbc, resc = preprocessor(nbc, resc)
  File "/usr/lib/python3.6/site-packages/nbconvert/preprocessors/base.py", line 47, in __call__
    return self.preprocess(nb, resources)
  File "/usr/lib/python3.6/site-packages/nbconvert/preprocessors/execute.py", line 257, in preprocess
    cwd=path)
  File "/usr/lib/python3.6/site-packages/nbconvert/preprocessors/execute.py", line 236, in start_new_kernel
    km = self.kernel_manager_class(kernel_name=kernel_name)
  File "/usr/lib/python3.6/site-packages/traitlets/traitlets.py", line 556, in __get__
    return self.get(obj, cls)
  File "/usr/lib/python3.6/site-packages/traitlets/traitlets.py", line 535, in get
    value = self._validate(obj, dynamic_default())
  File "/usr/lib/python3.6/site-packages/nbconvert/preprocessors/execute.py", line 191, in _km_default
    raise ImportError("`nbconvert --execute` requires the jupyter_client package: `pip install jupyter_client`")
ImportError: `nbconvert --execute` requires the jupyter_client package: `pip install jupyter_client`

Local variables in innermost frame:
self: <nbconvert.preprocessors.execute.ExecutePreprocessor object at 0x7fd64c196d68>

Comment 1 Jan Vesely 2018-03-19 21:21:58 UTC
Created attachment 1410142 [details]
File: backtrace

Comment 2 Jan Vesely 2018-03-19 21:21:59 UTC
Created attachment 1410143 [details]
File: cgroup

Comment 3 Jan Vesely 2018-03-19 21:22:00 UTC
Created attachment 1410144 [details]
File: cpuinfo

Comment 4 Jan Vesely 2018-03-19 21:22:01 UTC
Created attachment 1410145 [details]
File: environ

Comment 5 Jan Vesely 2018-03-19 21:22:02 UTC
Created attachment 1410146 [details]
File: mountinfo

Comment 6 Jan Vesely 2018-03-19 21:22:03 UTC
Created attachment 1410147 [details]
File: namespaces

Comment 7 Jan Vesely 2018-03-19 21:22:04 UTC
Created attachment 1410148 [details]
File: open_fds

Comment 8 Fedora Update System 2018-03-20 01:52:55 UTC
python-nbconvert-5.3.1-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec7929eb68

Comment 9 Fedora Update System 2018-03-20 01:53:13 UTC
python-nbconvert-5.3.1-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f5d2aa9b7

Comment 10 Fedora Update System 2018-03-20 14:54:09 UTC
python-nbconvert-5.3.1-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec7929eb68

Comment 11 Fedora Update System 2018-03-20 19:38:39 UTC
python-nbconvert-5.3.1-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f5d2aa9b7

Comment 12 Fedora Update System 2018-03-28 23:48:55 UTC
python-nbconvert-5.3.1-7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-30 13:09:25 UTC
python-nbconvert-5.3.1-7.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Ben Cotton 2018-11-27 16:24:32 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 20:41:50 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.